# stdlib.c File Reference

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <limits.h>`

Include dependency graph for stdlib.c:

## Data Structures

struct | environvariable_t

## Functions

char * | __stdlib_ecvt (double, size_t, int *, int *)
int | isspace (int)
int | isdigit (int)
int | isalpha (int)
int | isupper (int)

## Variables

void(* | __stdlib_exit_func [32])(void)
int | __stdlib_exit_index
environvariable_t | __stdlib_env [32]
int | __stdlib_mb_shift
unsigned int | __stdlib_rand_seed

## Function Documentation

char* __stdlib_ecvt | ( | double | ,
|  | size_t | ,
|  | int * | ,
|  | int * |
| ) |

int isalpha | ( | int |  | ) |

int isdigit | ( | int |  | ) |

int isspace | ( | int |  | ) |

int isupper | ( | int |  | ) |

## Variable Documentation

environvariable_t __stdlib_env[32]

void(* __stdlib_exit_func[32])(void)

int __stdlib_exit_index

int __stdlib_mb_shift

unsigned int __stdlib_rand_seed